gnome-vfs-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Abstraction for Removable devices.

The VolumeMonitor offers a simple way to get removable devices: name, icon, type, etc and operations: Eject, Mount, Unmount and others.

In order to use, you need to execute the static method . This method give you a pointer to VolumeMonitor, this is a singleton, which means that it will exists and be valid until

`// This example show how to get all connected drives using System; using Gnome.Vfs; namespace TestGnomeVFS { public class Test() { public static void Main() { Vfs.Initialize(); VolumeMonitor vMonitor = VolumeMonitor.Get(); Drive[] drv = vMonitor.ConnectedDrives; foreach Drive d in drv) { Console.WriteLine(d.DisplayName); } Vfs.Shutdown(); } } }`
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  a
  Internal constructor
  This is not typically used by C# code.
- Property
  2.24.0.0
  Gnome.Vfs.Drive[] Returns an array of connected s. a To be added
- Event
  2.24.0.0
  GLib.Signal("drive_connected")
  Gnome.Vfs.DriveConnectedHandler a new was connected. To be added
- Event
  2.24.0.0
  GLib.Signal("drive_disconnected")
  Gnome.Vfs.DriveDisconnectedHandler a was disconnected. To be added
- Method
  2.24.0.0
  Gnome.Vfs.VolumeMonitor Returns a pointer to the VolumeMonitor singleton. VolumeMonitor is a singleton, this means it is guaranteed to exist and be valid until is called. a To be added
- Method
  2.24.0.0
  Gnome.Vfs.Drive `` a Looks for a whose id is . a To be added
- Method
  2.24.0.0
  Gnome.Vfs.Volume `` a Looks for a whose id is . a To be added
- Method
  2.24.0.0
  Gnome.Vfs.Volume `` a Looks for a which contains . a To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  Gnome.Vfs.Volume[] Returns an array of mounted s. a To be added
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDriveConnected", Type=typeof(Gnome.Vfs.VolumeMonitor))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDriveDisconnected", Type=typeof(Gnome.Vfs.VolumeMonitor))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVolumeMounted", Type=typeof(Gnome.Vfs.VolumeMonitor))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVolumePreUnmount", Type=typeof(Gnome.Vfs.VolumeMonitor))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideVolumeUnmounted", Type=typeof(Gnome.Vfs.VolumeMonitor))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Event
  2.24.0.0
  GLib.Signal("volume_mounted")
  Gnome.Vfs.VolumeMountedHandler a was mounted. To be added
- Event
  2.24.0.0
  GLib.Signal("volume_pre_unmount")
  Gnome.Vfs.VolumePreUnmountHandler a is about to be unmounted. To be added
- Event
  2.24.0.0
  GLib.Signal("volume_unmounted")
  Gnome.Vfs.VolumeUnmountedHandler a was unmounted. To be added